Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetAuthenticationPhoneNumber

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetAuthenticationPhoneNumber

Enclosing class:
  TdApi

public static final class TdApi.SetAuthenticationPhoneNumber extends TdApi.Function<TdApi.Ok>
Sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`phoneNumber`
The phone number of the user, in international format.
`TdApi.PhoneNumberAuthenticationSettings`
`settings`
Settings for the authentication of the user's phone number; pass null to use default settings.

## Constructor Summary

Constructors
Constructor
Description
`SetAuthenticationPhoneNumber()`
Sets the phone number of the user and sends an authentication code to the user.
`SetAuthenticationPhoneNumber(DataInput input)`
Sets the phone number of the user and sends an authentication code to the user.
`SetAuthenticationPhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)`
Sets the phone number of the user and sends an authentication code to the user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumber

public String phoneNumber
The phone number of the user, in international format.

### settings

public TdApi.PhoneNumberAuthenticationSettings settings
Settings for the authentication of the user's phone number; pass null to use default settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SetAuthenticationPhoneNumber

public SetAuthenticationPhoneNumber()
Sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

### SetAuthenticationPhoneNumber

public SetAuthenticationPhoneNumber(String phoneNumber, TdApi.PhoneNumberAuthenticationSettings settings)
Sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

Parameters:
  `phoneNumber` - The phone number of the user, in international format.
  `settings` - Settings for the authentication of the user's phone number; pass null to use default settings.

  Returns `Ok`

### SetAuthenticationPhoneNumber

public SetAuthenticationPhoneNumber(DataInput input) throws IOException
Sets the phone number of the user and sends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitPhoneNumber, or if there is no pending authentication query and the current authorization state is authorizationStateWaitEmailAddress, authorizationStateWaitEmailCode, authorizationStateWaitCode, authorizationStateWaitRegistration, or authorizationStateWaitPassword.

Returns `Ok`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`